How I Installed Zabbix 1.1 on Ubuntu 6.06

After reading about Zabbix again in Linux Server Hacks, Vol. 2 I decided to take another stab at installing it. I had given it a shot a few months ago on an older Fedora box, and because of dependancy hell, gave up without getting it installed. So I figured I’d try again on my Ubuntu box.

The installation instructions on the Zabbix web site worked, but only after I installed some pre-requisites. Assuming you don’t yet have Apache2, PHP, and MySQL installed (which I did), you’d do the following:

sudo apt-get install apache2 php5 mysql-server mysql-common mysql-client

But we’re not quite ready to configure Zabbix yet. These are the obvious re-requisites. The ones that you can’t find so easily with the error messages you get back from running the configure command are installed with the following:

sudo apt-get install libsnmp9-dev net-snmp-devel libc6-dev libmysqlclient12-dev

These include libraries needed for snmp and MySQL connectivity. Once I put these in place, I was able to configure Zabbix with the following command:

/configure --enable-server --with-mysql --with-net-snmp